TimeSeries — GET /timeseries/profile-parser/{location-id}/{parameter-id}

What it does

Retrieves parser information associated with a specific profile identified by location and parameter.

Profile parsers can be defined to enable storage of profile instance data directly from the text output of data loggers.

When to use

  • You need the parser used for a specific profile to understand how values are interpreted.

GET /timeseries/profile-parser{location-id}/{parameter-id} - Endpoint Parameters

Parameter

Description

Required

When to Use

location-id

location-id

Yes

location-id

office

office

Yes

office

parameter-id

parameter-id

Yes

parameter-id

Examples

  1. The user wants to retrieve the profile parser for Flow-Evaporation data:
    (parameter-id) Flow-Evap

    at the STREAM12 location:
    (location-id) STREAM12

    for the LRL office:
    (office) LRL
    GET /timeseries/profile-parser/STREAM12/Flow-Evap?office=LRL
    

See the consolidated API documentation: API References.